List thermal alerts
GET
/v1/thermal/alerts
const url = 'https://api.datacenter.butlr.io/v1/thermal/alerts?severity=warning&status=open&kind=temperature';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.datacenter.butlr.io/v1/thermal/alerts?severity=warning&status=open&kind=temperature' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”hall_id
string
sensor_key
string
severity
string
status
string
kind
string
from
string
Unix milliseconds or RFC 3339.
to
string
Unix milliseconds or RFC 3339.
limit
integer
Responses
Section titled “Responses”Authorized alert list
Missing, invalid, expired, or revoked token
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Route, operation, or resource is outside the token’s read-only organization scope
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Request rate exceeded; honor Retry-After
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}